



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>FineUI小技巧（2）将表单内全部字段禁用、只读、设置无效标识</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">FineUI小技巧（2）将表单内全部字段禁用、只读、设置无效标识</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-28 10:20:48 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h1>需求描述</h1>
<p>对表单内的所有字段进行操作也是常见需求，这些操作有：</p>
<ol><li>禁用：表单字段变灰，不响应用户动作。</li>
<li>只读：表单字段不变灰，但不接受用户输入（实际上是设置DOM节点的readonly属性），有触发器的要隐藏起来</li>
<li>设置无效标识：一般用在服务器端验证失败的提示信息</li></ol>
<h1>界面效果</h1>
<ol><li>默认状态<br /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/211248005044216.png" /></li>
<li>禁用状态<br /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/211248101921909.png" /></li>
<li>只读状态<br /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/211248164112241.png" /></li>
<li>设置无效标识状态<br /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/211248219573202.png" /></li></ol>
<h1>前台代码</h1>
<p>前台代码非常直观，只是一个Form控件外加几个Button控件，按钮的响应事件在后台完成：</p>
<div>
<div>
<pre class="prettyprint linenums"> &lt;f:PageManager ID="PageManager1" runat="server" /&gt;<br />
 &lt;f:Form Width="600px" LabelWidth="100px" OffsetRight="10px" LabelSeparator="："<br />
     BodyPadding="5px" EnableCollapse="true" ID="Form1" runat="server" Title="表单"&gt;<br />
     &lt;Rows&gt;<br />
         &lt;f:FormRow&gt;<br />
             &lt;Items&gt;<br />
                 &lt;f:Label ID="Label3" Label="电话" Text="0551-1234567" runat="server" /&gt;<br />
                 &lt;f:Label ID="Label16" runat="server" Label="申请人" Text="admin"&gt;<br />
                 &lt;/f:Label&gt;<br />
             &lt;/Items&gt;<br />
         &lt;/f:FormRow&gt;<br />
         &lt;f:FormRow&gt;<br />
             &lt;Items&gt;<br />
                 &lt;f:Label ID="Label4" Label="编号" Text="200804170006" runat="server" /&gt;<br />
                 &lt;f:TextBox ID="TextBox2" Required="true" ShowRedStar="true" Label="电子邮箱" RegexPattern="EMAIL"<br />
                     RegexMessage="请输入有效的邮箱地址！" runat="server"&gt;<br />
                 &lt;/f:TextBox&gt;<br />
             &lt;/Items&gt;<br />
         &lt;/f:FormRow&gt;<br />
         &lt;f:FormRow&gt;<br />
             &lt;Items&gt;<br />
                 &lt;f:DropDownList ID="DropDownList3" Label="审批人" runat="server" ForceSelection="false" Required="true" ShowRedStar="True"&gt;<br />
                     &lt;f:ListItem Text="老大甲" Value="0"&gt;&lt;/f:ListItem&gt;<br />
                     &lt;f:ListItem Text="老大乙" Value="1"&gt;&lt;/f:ListItem&gt;<br />
                     &lt;f:ListItem Text="老大丙" Value="2"&gt;&lt;/f:ListItem&gt;<br />
                 &lt;/f:DropDownList&gt;<br />
                 &lt;f:NumberBox ID="NumberBox1" Label="申请数量" MaxValue="1000" Required="true" runat="server"<br />
                     ShowRedStar="True" /&gt;<br />
             &lt;/Items&gt;<br />
         &lt;/f:FormRow&gt;<br />
         &lt;f:FormRow&gt;<br />
             &lt;Items&gt;<br />
                 &lt;f:DatePicker runat="server" Required="true" Label="日期" EmptyText="请选择日期"<br />
                     ID="DatePicker1" SelectedDate="2014-07-10" ShowRedStar="True"&gt;<br />
                 &lt;/f:DatePicker&gt;<br />
                 &lt;f:TimePicker ID="TimePicker1" ShowRedStar="True" Label="时间" Increment="30"<br />
                     Required="true" Text="08:30" EmptyText="请选择时间" runat="server"&gt;<br />
                 &lt;/f:TimePicker&gt;<br />
             &lt;/Items&gt;<br />
         &lt;/f:FormRow&gt;

         &lt;f:FormRow&gt;<br />
             &lt;Items&gt;<br />
                 &lt;f:FileUpload runat="server" ID="filePhoto" EmptyText="请选择一张照片" Label="个人头像" Required="true"<br />
                     ShowRedStar="true"&gt;<br />
                 &lt;/f:FileUpload&gt;<br />
             &lt;/Items&gt;<br />
         &lt;/f:FormRow&gt;<br />
         &lt;f:FormRow&gt;<br />
             &lt;Items&gt;<br />
                 &lt;f:TextArea ID="TextArea1" runat="server" Label="描述" ShowRedStar="True" Required="True"&gt;<br />
                 &lt;/f:TextArea&gt;<br />
             &lt;/Items&gt;<br />
         &lt;/f:FormRow&gt;<br />
         &lt;f:FormRow&gt;<br />
             &lt;Items&gt;<br />
                 &lt;f:CheckBoxList ID="CheckBoxList1" Label="复选框列表" ColumnNumber="3" runat="server"&gt;<br />
                     &lt;f:CheckItem Text="可选项 1" Value="value1" /&gt;<br />
                     &lt;f:CheckItem Text="可选项 2" Value="value2" Selected="true" /&gt;<br />
                     &lt;f:CheckItem Text="可选项 3" Value="value3" Selected="true" /&gt;<br />
                     &lt;f:CheckItem Text="可选项 4" Value="value4" Selected="true" /&gt;<br />
                     &lt;f:CheckItem Text="可选项 5" Value="value5" Selected="true" /&gt;<br />
                 &lt;/f:CheckBoxList&gt;<br />
             &lt;/Items&gt;<br />
         &lt;/f:FormRow&gt;<br />
         &lt;f:FormRow&gt;<br />
             &lt;Items&gt;<br />
                 &lt;f:RadioButtonList ID="RadioButtonList2" Label="单选框列表" ColumnNumber="3" runat="server"&gt;<br />
                     &lt;f:RadioItem Text="可选项 1" Value="value1" /&gt;<br />
                     &lt;f:RadioItem Text="可选项 2" Value="value2" /&gt;<br />
                     &lt;f:RadioItem Text="可选项 3" Value="value3" Selected="true" /&gt;<br />
                     &lt;f:RadioItem Text="可选项 4" Value="value4" /&gt;<br />
                     &lt;f:RadioItem Text="可选项 5" Value="value5" /&gt;<br />
                 &lt;/f:RadioButtonList&gt;<br />
             &lt;/Items&gt;<br />
         &lt;/f:FormRow&gt;<br />
     &lt;/Rows&gt;<br />
 &lt;/f:Form&gt;<br />
 &lt;br /&gt;<br />
 &lt;f:Button ID="btnDisableAll" Text="全部禁用" CssClass="marginr" runat="server" OnClick="btnDisableAll_Click"&gt;<br />
 &lt;/f:Button&gt;<br />
 &lt;f:Button ID="btnEnableAll" Text="全部启用" CssClass="marginr" runat="server" OnClick="btnEnableAll_Click"&gt;<br />
 &lt;/f:Button&gt;<br />
 &lt;f:Button ID="btnReadOnlyAll" Text="全部只读" CssClass="marginr" runat="server" OnClick="btnReadOnlyAll_Click"&gt;<br />
 &lt;/f:Button&gt;<br />
 &lt;f:Button ID="btnCancelReadOnlyAll" Text="取消只读" CssClass="marginr" runat="server" OnClick="btnCancelReadOnlyAll_Click"&gt;<br />
 &lt;/f:Button&gt;<br />
 &lt;br /&gt;<br />
 &lt;br /&gt;<br />
 &lt;f:Button ID="btnMarkInvalid" Text="设置无效标识" CssClass="marginr" runat="server" OnClick="btnMarkInvalid_Click"&gt;<br />
 &lt;/f:Button&gt;<br />
 &lt;f:Button ID="btnClearInvalid" Text="取消无效标识" CssClass="marginr" runat="server" OnClick="btnClearInvalid_Click"&gt;<br />
 &lt;/f:Button&gt;</pre>
</div>
</div>
<h1>后台代码</h1>
<p>因为几个按钮的逻辑类似，这里我们定义一个代理（delegate），把相同的逻辑放在一个函数中完成，如下所示：</p>
<div>
<pre class="prettyprint linenums"> private delegate void ProcessFormField(Field field);

 private void ResolveFormField(ProcessFormField process)<br />
 {<br />
     foreach (FormRow row in Form1.Rows)<br />
     {<br />
         foreach (Field field in row.Items)<br />
         {<br />
             if (field != null)<br />
             {<br />
                 process(field);<br />
             }<br />
         }<br />
     }<br />
 }</pre>
</div>
<p>几个按钮的只需要调用刚刚定义的ResolveFormField函数，并传入自己的代理实现即可：</p>
<div>
<div>
<pre class="prettyprint linenums"> protected void btnDisableAll_Click(object sender, EventArgs e)<br />
 {<br />
     ResolveFormField(delegate(Field field)<br />
     {<br />
         field.Enabled = false;<br />
     });<br />
 }

 protected void btnEnableAll_Click(object sender, EventArgs e)<br />
 {<br />
     ResolveFormField(delegate(Field field)<br />
     {<br />
         field.Enabled = true;<br />
     });<br />
 }

 protected void btnReadOnlyAll_Click(object sender, EventArgs e)<br />
 {<br />
     ResolveFormField(delegate(Field field)<br />
     {<br />
         if (!(field is Label))<br />
         {<br />
             field.Readonly = true;<br />
         }<br />
     });<br />
 }

 protected void btnCancelReadOnlyAll_Click(object sender, EventArgs e)<br />
 {<br />
     ResolveFormField(delegate(Field field)<br />
     {<br />
         if (!(field is Label))<br />
         {<br />
             field.Readonly = false;<br />
         }<br />
     });<br />
 }

 protected void btnMarkInvalid_Click(object sender, EventArgs e)<br />
 {<br />
     ResolveFormField(delegate(Field field)<br />
     {<br />
         if (!(field is Label))<br />
         {<br />
             field.MarkInvalid("这个字段出错了！");<br />
         }<br />
     });<br />
 }

 protected void btnClearInvalid_Click(object sender, EventArgs e)<br />
 {<br />
     ResolveFormField(delegate(Field field)<br />
     {<br />
         if (!(field is Label))<br />
         {<br />
             field.ClearInvalid();<br />
         }<br />
     });<br />
 }</pre>
</div>
</div>
<h1>本章小结</h1>
<p>本篇文章介绍了如何对表单内全部字段进行批量操作，要注意禁用和只读的区别，虽然两种情况下表单字段都不响应用户动作，但还是有一些细微的差别，首先是颜色的变化不同，其次只读时会隐藏TriggerBox右侧的触发按钮。</p>
<p>后台的代码实现用到了C#代理（delegate），从JavaScript的角度看其实就是个回调函数，只不过C#的强类型限制，必须把这个回调函数抽象成一个类型而已。</p>
<h1>专业版截图</h1>
<p>FineUI（专业版）是由三生石上全新打造的基于 jQuery 的专业 ASP.NET 控件库，计划在七月下旬正式发布。</p>
<p>选择FineUI（专业版）的四大理由：<br />1.&nbsp;简单：专业版和开源版兼容（v4.x），您现在就可以使用开源版进行开发，等正式版发布时只需替换 DLL 即可。<br />2.&nbsp;极速：专业版基于 jQuery 库重写，使得 JS 和 CSS 体积大幅减少，页面加载速度将是开源版的 2 倍以上。<br />3.&nbsp;多彩：专业版内置 24 种 jQueryUI 皮肤，用户还可以使用 jQueryUI ThemeRoller 创建专属自己的皮肤。<br />4.&nbsp;便宜：专业版不限开发者数量和永久免费升级，使得典型授权案例的费用减少为开源版的 1/3 左右。</p>
<p>声明：</p>
<ol><ol><li>FineUI（专业版）授权协议是商业授权，需购买使用。</li>
<li>FineUI（开源版）授权协议是Apache License v2.0，免费下载使用，并且会继续维护和开发，个人用户推荐使用开源版。</li></ol></ol>
<p><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231417047835134.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231417097051738.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231417144864298.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231417178147615.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231417216273248.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231417249551863.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231417282996652.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231417320969812.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231417355173158.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231417381111616.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231417422523049.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231417452368092.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231417483921125.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231417510969083.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231417541421614.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231417572211388.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231418007998248.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231418038469778.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231418071425852.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231418114397098.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231418145176872.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231418200804604.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231418234249393.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231418261425124.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231418291114397.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231418319864642.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231418350962659.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231418380495161.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231418435492109.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231418472217996.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231418508924885.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231418549866602.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231418581746876.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231419014394707.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231419047052537.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231419109712586.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231419148306530.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231419176891005.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231419233618237.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231419356747333.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231419399718578.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231419428615594.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231419462055682.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231419489866899.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231419517369872.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231419547528861.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231419576117634.png" /><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/i/48817/201406/231420012213738.png" /></p>
<h1>源代码与在线示例</h1>
<p>本系列所有文章的源代码均可自行下载：<a href="http://fineui.codeplex.com/" rel="external nofollow noreferrer">http://fineui.codeplex.com/</a></p>
<p>在线示例（暂时不可用）：<a href="http://fineui.com/demo/#/demo/form/form_disabled.aspx" rel="external nofollow noreferrer">http://fineui.com/demo/#/demo/form/form_disabled.aspx</a></p>
<p>这个示例会添加到下个版本的FineUI（开源版）中，因此在线示例还不可见，需要的同学请自行下载全部源代码，自己运行。</p>
<p>如果本文对你有所启发或者帮助，请猛击&ldquo;<strong>好文要顶</strong>&rdquo;，支持原创，支持三石！</p>
<h1><a href="http://www.cnblogs.com/sanshi/p/3794135.html" rel="external nofollow noreferrer">《FineUI小技巧》系列文章目录</a></h1>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/xq4lx3n8.html">Hadoop学习之SecondaryNameNode</a>
		</li>
						<li><a href="https://www.batexi.com/a/2q762zk8.html">json跨域原理及解决方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/oqv63vj8.html">微软发布独立Android模拟器 为开发者提供测试</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdepjw79.html">Tab的键的妙用</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4ypx65q.html">linux 负载 待读</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7mgpgxq.html">Jquery 弹出提示框输入插件 apprise 修改中文按钮以及使用说明</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyd66edq.html">&lpar;转&rpar;在SQL中取出字符串中数字部分或在SQL中取出字符部分</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7m3eweq.html">mysql联合索引</a>
		</li>
						<li><a href="https://www.batexi.com/a/96o25249.html">汇编语言-&lbrack;BX&rsqb;和loop指令</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2w14plq.html">HDOJ 2036</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwjk43r8.html">spark sql 基本用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jk50x8.html">Amazon才推众包物流，&OpenCurlyDoubleQuote;京东众包&rdquo;已红绿上阵，&OpenCurlyDoubleQuote;达达&rdquo;还手握10万配送大军</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwvo4yr8.html">Hibernate 连接不同数据库的方言</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pw3w0y8.html">IE和DOM事件流</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pw3vpy8.html">springboot获取properties文件的配置内容&lpar;转载&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pp63pz9.html">Windoows窗口程序六</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mj75268.html">loadrunner12-用Chrome如何录制脚本</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7e66eg9.html">keycloak学习</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlom3x0q.html">Git操作行</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvddp1jq.html">MFC&colon;CTime类和CTimeSpan类</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/3901d7n8.html">Harrypotter</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8kdm1r9.html">android 8种对话框（Dialog）使用方法汇总</a>
			</li>
						<li><a href="https://www.batexi.com/a/m964mmj8.html">Hello BIEE</a>
			</li>
						<li><a href="https://www.batexi.com/a/49gx324q.html">javascript-单例模式</a>
			</li>
						<li><a href="https://www.batexi.com/a/495nmym9.html">Access字段类型&OpenCurlyDoubleQuote;查阅向导&rdquo;</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qx4oxe9.html">Access界面基础操作</a>
			</li>
						<li><a href="https://www.batexi.com/a/jqdxzrz8.html">神奇的expect</a>
			</li>
						<li><a href="https://www.batexi.com/a/4qnlyox9.html">linux基础-第九单元 利用vi编辑器创建和编辑正文文件</a>
			</li>
						<li><a href="https://www.batexi.com/a/r8mxwo09.html">（安装linux操作系统）</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9jxlglq.html">hw 要的是螺丝钉</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
